;;; -*- Mode: LISP; Syntax: Common-lisp; Package: pdf; Lowercase: Yes -*-
;;;
;;; cl-pdf copyright 2002 Marc Battyani see license.txt for details of the
;;; BSD style license.  You can reach me at marc.battyani@fractalconcept.com
;;; or marc@battyani.net

(defpackage #:pdf
  (:use #:common-lisp)
  (:export
   #:with-document #:with-page #:font #:add-fonts-to-page #:image
   #:add-images-to-page
   #:write-document #:set-font #:in-text-mode #:move-text #:draw-text
   #:draw-text-on-next-lines
   #:set-text-rendering-mode #:set-char-spacing #:set-text-x-scale
   #:set-text-leading
   #:set-text-rise #:move-to-next-line #:set-text-matrix
   #:draw-and-adjust-string
   #:with-saved-state #:set-transform-matrix #:translate #:rotate #:scale #:skew
   #:set-line-width #:set-line-cap #:set-line-join #:set-dash-pattern
   #:set-mitter-limit #:move-to #:line-to #:bezier-to #:bezier2-to #:bezier3-to
   #:arc #:circle #:ellipse #:rectangle #:polyline #:regular-polygon #:star
   #:close-sub-path #:basic-rect #:stroke #:close-and-stroke #:fill-path
   #:close-and-fill #:even-odd-fill
   #:fill-and-stroke #:even-odd-fill-and-stroke #:close-fill-and-stroke
   #:close-even-odd-fill-and-stroke #:end-path-no-op #:clip-path
   #:even-odd-clip-path
   #:set-gray-stroke #:set-gray-fill #:set-rgb-stroke #:set-rgb-fill
   #:set-cymk-stroke
   #:set-cymk-fill #:paint-image
   ))

(in-package pdf)

(asdf:defsystem #:cl-pdf
    :version "0.45-1"
    :components
  (#+cmu (:file "zlib-cmucl")
   #+lispworks (:file "zlib-lw")
   #+allegro (:file "cl-zlib-small")
   (:file "pdf")
   (:file "pdf-base")
   (:file "pdf-geom" :depends-on ("pdf-utils"))
   (:file "pdf-utils")))

